Subject: [bug#47615] [PATCH 1/9] gnu: bootstrap: Add support for powerpc-linux.

From: Ludovic Courtès <[email-masked]>
Date: Thu, 06 May 2021 18:35:08 +0200

Hi Chris,

Chris Marusich <[email-masked]> skribis:

> Chris Marusich <[email-masked]> writes:
>
>> Efraim Flashner <[email-masked]> writes:
>>
>>> On 923bb70a1bff657125c3008f119a477e5cb57c2b
>>>    gnu:glibc-for-bootstrap: Fix patch.
>>>
>>> Run
>>>     ./pre-inst-env guix build --target=powerpc-linux-gnu bootstrap-tarballs
> g>>
>>> Producing
>>>
>>>     /gnu/store/dyj1wvayyp1ihaknkxniz1xamcf4yrhl-bootstrap-tarballs-0
>>>
>>> With guix hash -rx /gnu/store/dyj1wvayyp1ihaknkxniz1xamcf4yrhl-bootstrap-tarballs-0
>>>
>>>     02xx2ydj28pwv3vflqffinpq1icj09gzi9icm8j4bwc4lca9irxn
>>
>> Generally speaking, this patch looks fine to me.  Just curious, what
>> sort of machines does one use for 32-bit powerpc?
>>
>> I want to build the bootstrap binaries, see if they're reproducible (in
>> particular GCC, which I suspect won't be), and verify the hashes.
>>
>> It might take a few days to do that, but I'll update this thread once
>> I've done it.
>
> I repeated Efraim's steps on two different x86_64-linux Guix System
> machines.  In both cases, it produced exactly the same hash.  Therefore,
> it would seem these bootstrap binaries are actually reproducible.

This is great news, thanks for checking!

With this, we can be more confident uploading the binary seeds to
ftp.gnu.org.

> I was surprised by this because of my experience with bug 41669.  I
> expected GCC to not be reproducible, but in this case it seems
> reproducible.

Yes, that’s weird, but it’s better this way.  :-)

Thanks,
Ludo’.